Jump to: navigation, search

Prerequisites for deploying bots

Chat and Voicebot Prerequisites

Genesys Engage Premise

Chatbots

  • Genesys Intelligent Automation 9.0.100 or higher
  • Genesys Mobile Services
  • Chat Server
  • DMS
  • Bot Gateway
  • Interaction Server
  • Dialog Engine or third-party such as Google DialogFlow and Microsoft LUIS

VoiceBots

  • Genesys Intelligent Automation 9.0.100 or higher
  • Genesys Voice Platform 9.0.019.68 or higher
  • Genesys Engage Routing
  • SIP Server
  • Resource Manager
  • Genesys Dialog Engine or third party such as Google DialogFlow and Microsoft LUIS
  • Google Speech-to-Text
  • Google Text-to-Speech or Nuance Text-to-Speech

PureConnect Cloud & Premise

Chatbots

  • Intelligent Automation v9.0.105 or higher
  • PureConnect 2018R4 or higher
  • Bot Messaging Service
  • Genesys Widgets
  • Dialog Engine or third party such as Google Dialogflow

VoiceBots

  • Intelligent Automation v9.0.105 or higher
  • PureConnect 2018R4 or higher. From PureConnect 2019R3 onwards, Intelligent Automation v9.0.106 or higher is required.
  • CIC – integrated contact center software solution
  • UniMRCP 1.5.0 or higher
  • Google Speech Recognition plugin for UniMRCP
  • Dialog Engine or third party such as Google Dialogflow
  • Nuance and Google Text to Speech
  • Google Speech-to-Text


Minimum Versions Required to Support Bot Applications

Bot Channel Application Minimum version Notes
ALL Genesys Intelligent Automation 9.0.104.00 PureConnect - 9.0.103.00
Voice Genesys Media Control Platform 9.0.019.68
Voice UniMRCP (if required for TTS) unimrcp-gss-1.6.1-1.el7.x86

PureConnect

unimrcp-gsr-1.6.1-1el7.x86_64 (Speech to Text)

unimrcp-gsr-1.6.1-1el7.x86_64 (Text to Speech)

Only required if prior to Google TTS support in MCP
Chat Genesys Widgets 9.0.009.04 Assumption: Rich Messaging required on Chat.
Chat Genesys Mobile Services 8.5.201.04 Assumption: Rich Messaging required on Chat.
Messaging Genesys Digital Messaging Server 9.0.002.06
Chat / Messaging Genesys Chat Server 8.5.109.06
Chat / Messaging Genesys Chat Server 8.5.203.09 If GCXI Bot Reporting is required
Chat / Messaging Genesys Bot Gateway Server 9.0.004.08 Refer to the latest version here.
Chat / Messaging Genesys Digital Messaging Server 9.0.001.10 For BGS driver
Chat / Messaging Genesys eServices Manager 8.5.303+ If Rich Messaging SRLs in UCS is required.
Chat / Messaging Genesys UCS 8.5.200.19 If Rich Messaging SRLs in UCS is required.
This page was last edited on September 23, 2020, at 15:18.
blog comments powered by Disqus